Неавторизованное изменение данных в FreePBX

Дата публикации:
03.10.2014
Дата изменения:
03.10.2014
Всего просмотров:
2117
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:C/I:C/A:C/E:F/RL:O/RC:C) = Base:8.3/Temporal:6.9
CVE ID:
CVE-2014-7235
Вектор эксплуатации:
Локальная сеть
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Функциональный эксплоит
Уязвимые продукты:
freePBX 2.x
Уязвимые версии:
FreePBX 2.9
FreePBX 2.10
FreePBX 2.11

Описание:
Уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за неправильной обработки входных данных в куки "ari_auth" в сценарии htdocs_ari/includes/login.php в модуле FreePBX ARI Framework. Удаленный пользователь может создать административную учетную запись и выполнить после этого произвольный код.

Примечание: Уязвимость активно эксплуатируется в настоящий момент.

URL производителя: http://www.freepbx.org/

Решение: Установите исправление с сайта производителя.

Ссылки: http://community.freepbx.org/t/critical-freepbx-rce-vulnerability-all-versions-cve-2014-7235/24536
http://seclists.org/fulldisclosure/2014/Oct/4